# Main
Date: 2018-01-28

main

## Class Main

- java.lang.Object
- - main.Main

    public class Main
    extends java.lang.Object

### Field Summary

Fields
`static Cache` `cache`
`static java.lang.String[]` `CHANNELS`
`private static boolean` `DEBUG`
`static int` `failures`
`static int` `PORT`
`static java.lang.String` `SERVER`
`static long` `TIMEOUT_BEFORE_RECONNECTING`

### Constructor Summary

Constructors
Constructor and Description
`Main()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isDebug()`
`static void` `main(java.lang.String[] args)`
`private static void` `setDebug(boolean b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SERVER

    public static final java.lang.String SERVER

See Also:
  Constant Field Values

#### PORT

    public static final int PORT

See Also:
  Constant Field Values

#### CHANNELS

    public static final java.lang.String[] CHANNELS

#### TIMEOUT_BEFORE_RECONNECTING

    public static final long TIMEOUT_BEFORE_RECONNECTING

See Also:
  Constant Field Values

#### cache

    public static final Cache cache

#### failures

    public static int failures

#### DEBUG

    private static boolean DEBUG

### Constructor Detail

#### Main

    public Main()

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### isDebug

    public static boolean isDebug()

#### setDebug

    private static void setDebug(boolean b)